Bug 583339 - SWT support in jfreechart
Summary: SWT support in jfreechart
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jfreechart
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-17 23:10 UTC by Mohamed El Morabity
Modified: 2010-05-04 06:11 UTC (History)
1 user (show)

Fixed In Version: jfreechart-1.0.10-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-04 06:11:00 UTC
Type: ---


Attachments (Terms of Use)
Patch for jfreechart.spec to enable SWT support (2.99 KB, text/plain)
2010-04-17 23:10 UTC, Mohamed El Morabity
no flags Details

Description Mohamed El Morabity 2010-04-17 23:10:02 UTC
Created attachment 407330 [details]
Patch for jfreechart.spec to enable SWT support

jfreechart provides in its sources a support for SWT. May it be possible to enable it in the Fedora packaging?

I attach to this report a patch to be applied on the .spec file to enable this support.

Thanks.

Comment 1 Lubomir Rintel 2010-04-19 14:27:36 UTC
Thank you!

+%dir %{_javadir}/%{name}/%{name}.jar

This was probably a typo, otherwise looks fine.
Applied to devel. Do you want me to pull this into F-13 as well?

Comment 2 Mohamed El Morabity 2010-04-19 14:42:07 UTC
> +%dir %{_javadir}/%{name}/%{name}.jar
> This was probably a typo, otherwise looks fine.
This was intentional ^^: according to the Java packaging guidelines, if a package provides more than 2 .jar files, they must be set in a separate directory in %{_javadir} :
   https://fedoraproject.org/wiki/Packaging/Java#Jar_file_naming

> Applied to devel. Do you want me to pull this into F-13 as well?    
I would really like, thank you very much :-).

Comment 3 Mohamed El Morabity 2010-04-19 14:59:16 UTC
(In reply to comment #2)
Forget about my last answer about the typo, it was crap, sorry ^^

Comment 4 Fedora Update System 2010-04-19 15:11:10 UTC
jfreechart-1.0.10-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jfreechart-1.0.10-4.fc13

Comment 5 Fedora Update System 2010-04-21 02:18:39 UTC
jfreechart-1.0.10-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jfreechart'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jfreechart-1.0.10-4.fc13

Comment 6 Fedora Update System 2010-05-04 06:10:56 UTC
jfreechart-1.0.10-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.